float x0, y0;
float x1, y1;

float[][] A = { {-1, 0.3}, {-0.1, 1} };

void setup()
{
    size(400, 400);
}

void draw()
{
    background(255);
    
    A[0][0] = map(mouseX, 0, width, -1, 1);
    A[1][1] = map(mouseY, 0, height, -1, 1);  
  
    for (int x = -width; x < width; x += 10)
    {
        stroke(0);
        line(x, -height, x, height);
        
        stroke(255, 0, 0);        
        
        x0 = A[0][0] * x + A[0][1] * (-height);
        y0 = A[1][0] * x + A[1][1] * (-height);       

        x1 = A[0][0] * x + A[0][1] * height;
        y1 = A[1][0] * x + A[1][1] * height;              
        
        line(x0, y0, x1, y1);        
    }
    
    for (int y = -height; y < height; y += 10) 
    {
        stroke(0);  
        line(-width, y, width, y);
    
        stroke(255, 0, 0);
    
        x0 = A[0][0] * (-width) + A[0][1] * y;
        y0 = A[1][0] * (-width) + A[1][1] * y;       

        x1 = A[0][0] * width + A[0][1] * y;
        y1 = A[1][0] * width + A[1][1] * y;       
    
        line(x0, y0, x1, y1);    
    }
}

