float[][] A;

void setup()
{
  size(400, 400);
  smooth();

  A = new float[2][2];
}

void draw()
{
  float x0, y0, x1, y1;

  background(255);

  A[0][0] = 1.0;
  A[0][1] = map(mouseY, 0, height, -1, 1);
  A[1][0] = map(mouseX, 0, width, -1, 1);
  A[1][1] = 1.0;

  for (int x = -width; x < width; x = x + 50)
  {
    stroke(0);
    line(x, -height, x, height);

    x0 = A[0][0] * x + A[0][1] * (-height);
    y0 = A[1][0] * x + A[1][1] * (-height);

    x1 = A[0][0] * x + A[0][1] * height;
    y1 = A[1][0] * x + A[1][1] * height;

    stroke(255, 0, 0);
    line(x0, y0, x1, y1);
  }

  for (int y = -height; y < height; y = y + 50)
  { 
    stroke(0);
    line(-width, y, width, y);

    x0 = A[0][0] * (-width) + A[0][1] * y;
    y0 = A[1][0] * (-width) + A[1][1] * y;

    x1 = A[0][0] * width + A[0][1] * y;
    y1 = A[1][0] * width + A[1][1] * y;

    stroke(255, 0, 0);
    line(x0, y0, x1, y1);       
  }


}

