float x0, y0;
float x1, y1;

float[][] A = { {-1, 0.3}, {-0.1, 1} };

void setup()
{
    size(400, 400);
}

void draw()
{
    background(255);
    
    float a = map(mouseX, 0, width, 0, TWO_PI);
    
    A[0][0] = cos(a);
    A[0][1] = sin(a);
    
    A[1][0] = -sin(a);      
    A[1][1] = cos(a);  
  
    for (int x = -2 * width; x < 2 * width; x += 10)
    {
        stroke(0);
        line(x, -2 * height, x, 2 * height);
        
        stroke(255, 0, 0);        
        
        x0 = A[0][0] * x + A[0][1] * (-2 * height);
        y0 = A[1][0] * x + A[1][1] * (-2 * height);       

        x1 = A[0][0] * x + A[0][1] * 2 * height;
        y1 = A[1][0] * x + A[1][1] * 2 * height;              
        
        line(x0, y0, x1, y1);        
    }
    
    for (int y = -2 * height; y < 2 * height; y += 10) 
    {
        stroke(0);  
        line(-2 * width, y, 2 * width, y);
    
        stroke(255, 0, 0);
    
        x0 = A[0][0] * (-2 * width) + A[0][1] * y;
        y0 = A[1][0] * (-2 * width) + A[1][1] * y;       

        x1 = A[0][0] * 2 * width + A[0][1] * y;
        y1 = A[1][0] * 2 * width + A[1][1] * y;       
    
        line(x0, y0, x1, y1);    
    }
}

