float[][] R;

void setup()
{
  size(400, 400);
  smooth();

  R = new float[2][2];
}

void draw()
{
  float x0, y0, x1, y1;

  background(255);

  float angulo = map(mouseX, 0, width, 0, TWO_PI);
  
  R[0][0] = cos(angulo);
  R[0][1] = sin(angulo);
  R[1][0] = -sin(angulo);
  R[1][1] = cos(angulo);

  for (int x = -width; x < width; x = x + 50)
  {
    stroke(0);
    line(x, -height, x, height);

    x0 = R[0][0] * x + R[0][1] * (-height);
    y0 = R[1][0] * x + R[1][1] * (-height);

    x1 = R[0][0] * x + R[0][1] * height;
    y1 = R[1][0] * x + R[1][1] * height;

    stroke(255, 0, 0);
    line(x0, y0, x1, y1);
  }

  for (int y = -height; y < height; y = y + 50)
  { 
    stroke(0);
    line(-width, y, width, y);

    x0 = R[0][0] * (-width) + R[0][1] * y;
    y0 = R[1][0] * (-width) + R[1][1] * y;

    x1 = R[0][0] * width + R[0][1] * y;
    y1 = R[1][0] * width + R[1][1] * y;

    stroke(255, 0, 0);
    line(x0, y0, x1, y1);       
  }


}

