// Rotacion centrada en el centro de la pantalla.
float[][] R;

void setup()
{
  size(400, 400);
  smooth();

  R = new float[2][2];
}

void draw()
{
  float x0, y0, x1, y1;

  fill(255, 10);
  rect(0, 0, width, height);

  float angulo = map(mouseX, 0, width, 0, TWO_PI);
  
  R[0][0] = cos(angulo);
  R[0][1] = sin(angulo);
  R[1][0] = -sin(angulo);
  R[1][1] = cos(angulo);

  for (int x = -2 * width; x < 2 * width; x = x + 50)
  {
    stroke(0);
    line(x, -2 * height, x, 2 * height);

    x0 = R[0][0] * (x - 0.5 * width) + R[0][1] * (-2 * height - 0.5 * height) + 0.5 * width;
    y0 = R[1][0] * (x - 0.5 * width) + R[1][1] * (-2 * height - 0.5 * height) + 0.5 * height;

    x1 = R[0][0] * (x - 0.5 * width) + R[0][1] * (2 * height - 0.5 * height) + 0.5 * width; 
    y1 = R[1][0] * (x - 0.5 * width) + R[1][1] * (2 * height - 0.5 * height) + 0.5 * height;

    stroke(255, 0, 0);
    line(x0, y0, x1, y1);
  }

  for (int y = -2 * height; y < 2 * height; y = y + 50)
  { 
    stroke(0);
    line(-2 * width, y, 2 * width, y);

    x0 = R[0][0] * (-2 * width - 0.5 * width) + R[0][1] * (y - 0.5 * height) + 0.5 * width;
    y0 = R[1][0] * (-2 * width - 0.5 * width) + R[1][1] * (y - 0.5 * height) + 0.5 * height;

    x1 = R[0][0] * (2 * width - 0.5 * width) + R[0][1] * (y - 0.5 * height) + 0.5 * width;
    y1 = R[1][0] * (2 * width - 0.5 * width) + R[1][1] * (y - 0.5 * height) + 0.5 * height;

    stroke(255, 0, 0);
    line(x0, y0, x1, y1);       
  }
}

